PROGRAM_NAME='LivePremier_Definitions'

(***********************************************************)
(*  FILE_LAST_MODIFIED_ON: 01/01/2021                      *)
(***********************************************************)
(* System Type : NetLinx                                   *)
(***********************************************************)
(* REV HISTORY:     Revision   1.00                        *)
(***********************************************************)

(***********************************************************)
(*          DEVICE NUMBER DEFINITIONS GO BELOW             *)
(***********************************************************)
#if_not_defined LivePremier_Devices
#define LivePremier_Devices

DEFINE_DEVICE

IPad_Port1			=	IPad_Num_Device:1:0

LivePremier_Proc_COM		=	Virtual_LivePremier_Num_Device:1:0
LivePremier_Screens_COM		=	Virtual_LivePremier_Num_Device:2:0
LivePremier_Presets_COM		=	Virtual_LivePremier_Num_Device:3:0
LivePremier_MasterPresets_COM	=	Virtual_LivePremier_Num_Device:4:0

LivePremier_General_Panel	=	Virtual_LivePremier_Panel:1:0

DEFINE_COMBINE
(LivePremier_General_Panel,IPad_Port1)

#end_If

(***********************************************************)
(*               VARIABLE DEFINITIONS GO BELOW             *)
(***********************************************************)
#if_not_defined LivePremier_Variables
#define LivePremier_Variables

DEFINE_VARIABLE

DEV LivePremier_Modules_Array[] =   {
				    LivePremier_Screens_COM,
				    LivePremier_Presets_COM,
				    LivePremier_MasterPresets_COM
				    }

#end_If

(***********************************************************)
(*                STARTUP CODE GOES BELOW                  *)
(***********************************************************)
DEFINE_START

SET_VIRTUAL_CHANNEL_COUNT (LivePremier_General_Panel,400)
SET_VIRTUAL_LEVEL_COUNT (LivePremier_General_Panel,300)

